Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » Which qooxdoo Simulator version to use for UI test?
Which qooxdoo Simulator version to use for UI test? [message #707977] Tue, 02 August 2011 09:44 Go to next message
mrbazsee is currently offline mrbazsee
Messages: 6
Registered: August 2011
Junior Member
Hi all,

I am working with RAP 1.4 and try to implement some automated UI tests. I did some research and started to use qooxdoo's user extension with Selenium. Then I realized that RAP uses qooxdoo v0.7.4 which is incompatible with the latest version of the user extension. After that I switched to qooxdoo Simulator v0.1 (based on the release notes this is the only one which works fine with qooxdoo v0.7.x) but it has a very limited funcionality and I still got some errors.
My question is if anyone can tell me which version of the qx Simulator should work properly?

Thanks in advance!

Balazs
(no subject) [message #710004 is a reply to message #707977] Thu, 04 August 2011 15:02 Go to previous message
Eclipse User
Originally posted by:

Hi.

Though i cant really help you with your specific problem, i want to
mention two things:

- The "qooxdoo" in current RAP is heavily modified and most widgets are
RAP-specific implementations, i.e. you will most likely find no qx
simulator that will really work.

- That beeing said, there already have been discussions regarding RAP
and Selenium on this newsgroup that you could search for, though that
was way back, so the info may be outdated.

Greetings,
Tim

Am 02.08.2011 11:44, schrieb mrbazsee:
> Hi all,
>
> I am working with RAP 1.4 and try to implement some automated UI tests.
> I did some research and started to use qooxdoo's user extension with
> Selenium. Then I realized that RAP uses qooxdoo v0.7.4 which is
> incompatible with the latest version of the user extension. After that I
> switched to qooxdoo Simulator v0.1 (based on the release notes this is
> the only one which works fine with qooxdoo v0.7.x) but it has a very
> limited funcionality and I still got some errors.
> My question is if anyone can tell me which version of the qx Simulator
> should work properly?
>
> Thanks in advance!
>
> Balazs
Previous Topic:Re: running xwt on rap
Next Topic:RAP1.4 + BIRT3.7 - java.lang.NoClassDefFoundError: org/eclipse/core/runtime/IPlatformRunnable
Goto Forum:
  


Current Time: Wed Sep 17 01:45:31 GMT 2014

Powered by FUDForum. Page generated in 0.01795 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software